# Compiler
CC = gcc

# Compiler flags
CFLAGS = -Wall -Wextra

# Source files
SOURCES = main.c linkedlist.c

# Object files
OBJECTS = $(SOURCES:.c=.o)

# Output executable
EXECUTABLE = main.bin

# Default target
all: $(EXECUTABLE)

# Compile source files to object files
%.o: %.c
	$(CC) $(CFLAGS) -c $< -o $@

# Link object files to create the executable
$(EXECUTABLE): $(OBJECTS)
	$(CC) $(CFLAGS) $(OBJECTS) -o $(EXECUTABLE)

test: $(EXECUTABLE)
	./$(EXECUTABLE)

# Clean up object files and the executable
clean:
	rm -f $(OBJECTS) $(EXECUTABLE)

